Package be.fgov.ehealth.rn.baselegaldata.v1

# Class AbstractOptionalContactAddressType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalContactAddressType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ContactAddressBaseType`, `ContactAddressWithStatusAndSourceType`, `ContactAddressWithUpdateStatusType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public abstract class AbstractOptionalContactAddressType extends Object implements Serializable

Java class for AbstractOptionalContactAddressType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AbstractOptionalContactAddressType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <group ref="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ContactAddressGroup" minOccurs="0"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractOptionalContactAddressType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BestIdentifierType`
  `getAddressRegionalCode()`
  BeSt object ID.
  `String`
  `getBoxNumber()`
  Gets the value of the boxNumber property.
  `String`
  `getCityCode()`
  Municipality NIS-code.
  `List<LocalizedDescriptionType>`
  `getCityNames()`
  Gets the value of the cityNames property.
  `BestIdentifierType`
  `getCityRegionalCode()`
  BeST municipality ID.
  `Integer`
  `getCountryCode()`
  Country NIS-code
  `String`
  `getCountryIsoCode()`
  Gets the value of the countryIsoCode property.
  `List<LocalizedDescriptionType>`
  `getCountryNames()`
  Gets the value of the countryNames property.
  `String`
  `getHouseNumber()`
  Gets the value of the houseNumber property.
  `Instant`
  `getInceptionDate()`
  Gets the value of the inceptionDate property.
  `String`
  `getPostalCode()`
  Gets the value of the postalCode property.
  `String`
  `getRegionCode()`
  Only for Belgian addresses
  `List<LocalizedDescriptionType>`
  `getRegionNames()`
  Gets the value of the regionNames property.
  `String`
  `getStreetCode()`
  National Register street code.
  `List<LocalizedDescriptionType>`
  `getStreetNames()`
  Gets the value of the streetNames property.
  `BestIdentifierType`
  `getStreetRegionalCode()`
  BeST regional street ID.
  `Integer`
  `getTypeCode()`
  Gets the value of the typeCode property.
  `List<LocalizedDescriptionType>`
  `getTypeDescriptions()`
  Gets the value of the typeDescriptions property.
  `void`
  `setAddressRegionalCode(BestIdentifierType value)`
  Sets the value of the addressRegionalCode property.
  `void`
  `setBoxNumber(String value)`
  Sets the value of the boxNumber property.
  `void`
  `setCityCode(String value)`
  Sets the value of the cityCode property.
  `void`
  `setCityRegionalCode(BestIdentifierType value)`
  Sets the value of the cityRegionalCode property.
  `void`
  `setCountryCode(Integer value)`
  Sets the value of the countryCode property.
  `void`
  `setCountryIsoCode(String value)`
  Sets the value of the countryIsoCode property.
  `void`
  `setHouseNumber(String value)`
  Sets the value of the houseNumber property.
  `void`
  `setInceptionDate(Instant value)`
  Sets the value of the inceptionDate property.
  `void`
  `setPostalCode(String value)`
  Sets the value of the postalCode property.
  `void`
  `setRegionCode(String value)`
  Sets the value of the regionCode property.
  `void`
  `setStreetCode(String value)`
  Sets the value of the streetCode property.
  `void`
  `setStreetRegionalCode(BestIdentifierType value)`
  Sets the value of the streetRegionalCode property.
  `void`
  `setTypeCode(Integer value)`
  Sets the value of the typeCode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractOptionalContactAddressType

    public AbstractOptionalContactAddressType()

- ## Method Details

  - ### getCountryCode

    public Integer getCountryCode()
    Country NIS-code
    Returns:
      possible object is `Integer`

  - ### setCountryCode

    public void setCountryCode(Integer value)
    Sets the value of the countryCode property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getCountryCode()`

  - ### getCountryIsoCode

    public String getCountryIsoCode()
    Gets the value of the countryIsoCode property.
    Returns:
      possible object is `String`

  - ### setCountryIsoCode

    public void setCountryIsoCode(String value)
    Sets the value of the countryIsoCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCountryNames

    public List<LocalizedDescriptionType> getCountryNames()
    Gets the value of the countryNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the countryNames property.

    For example, to add a new item, do as follows:

         getCountryNames().add(newItem);

    Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

    Returns:
      The value of the countryNames property.

  - ### getRegionCode

    public String getRegionCode()
    Only for Belgian addresses
    Returns:
      possible object is `String`

  - ### setRegionCode

    public void setRegionCode(String value)
    Sets the value of the regionCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRegionCode()`

  - ### getRegionNames

    public List<LocalizedDescriptionType> getRegionNames()
    Gets the value of the regionNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the regionNames property.

    For example, to add a new item, do as follows:

         getRegionNames().add(newItem);

    Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

    Returns:
      The value of the regionNames property.

  - ### getCityCode

    public String getCityCode()
    Municipality NIS-code. Only for Belgian addresses
    Returns:
      possible object is `String`

  - ### setCityCode

    public void setCityCode(String value)
    Sets the value of the cityCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCityCode()`

  - ### getCityRegionalCode

    public BestIdentifierType getCityRegionalCode()
    BeST municipality ID. Only for Belgian addresses
    Returns:
      possible object is `BestIdentifierType`

  - ### setCityRegionalCode

    public void setCityRegionalCode(BestIdentifierType value)
    Sets the value of the cityRegionalCode property.
    Parameters:
      `value` - allowed object is `BestIdentifierType`
    See Also:
      - `getCityRegionalCode()`

  - ### getCityNames

    public List<LocalizedDescriptionType> getCityNames()
    Gets the value of the cityNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cityNames property.

    For example, to add a new item, do as follows:

         getCityNames().add(newItem);

    Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

    Returns:
      The value of the cityNames property.

  - ### getPostalCode

    public String getPostalCode()
    Gets the value of the postalCode property.
    Returns:
      possible object is `String`

  - ### setPostalCode

    public void setPostalCode(String value)
    Sets the value of the postalCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStreetCode

    public String getStreetCode()
    National Register street code. Only for Belgian addresses
    Returns:
      possible object is `String`

  - ### setStreetCode

    public void setStreetCode(String value)
    Sets the value of the streetCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStreetCode()`

  - ### getStreetRegionalCode

    public BestIdentifierType getStreetRegionalCode()
    BeST regional street ID. Only for Belgian addresses
    Returns:
      possible object is `BestIdentifierType`

  - ### setStreetRegionalCode

    public void setStreetRegionalCode(BestIdentifierType value)
    Sets the value of the streetRegionalCode property.
    Parameters:
      `value` - allowed object is `BestIdentifierType`
    See Also:
      - `getStreetRegionalCode()`

  - ### getStreetNames

    public List<LocalizedDescriptionType> getStreetNames()
    Gets the value of the streetNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the streetNames property.

    For example, to add a new item, do as follows:

         getStreetNames().add(newItem);

    Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

    Returns:
      The value of the streetNames property.

  - ### getHouseNumber

    public String getHouseNumber()
    Gets the value of the houseNumber property.
    Returns:
      possible object is `String`

  - ### setHouseNumber

    public void setHouseNumber(String value)
    Sets the value of the houseNumber property.
    Parameters:
      `value` - allowed object is `String`

  - ### getBoxNumber

    public String getBoxNumber()
    Gets the value of the boxNumber property.
    Returns:
      possible object is `String`

  - ### setBoxNumber

    public void setBoxNumber(String value)
    Sets the value of the boxNumber property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAddressRegionalCode

    public BestIdentifierType getAddressRegionalCode()
    BeSt object ID. Only for Belgian addresses
    Returns:
      possible object is `BestIdentifierType`

  - ### setAddressRegionalCode

    public void setAddressRegionalCode(BestIdentifierType value)
    Sets the value of the addressRegionalCode property.
    Parameters:
      `value` - allowed object is `BestIdentifierType`
    See Also:
      - `getAddressRegionalCode()`

  - ### getTypeCode

    public Integer getTypeCode()
    Gets the value of the typeCode property.
    Returns:
      possible object is `Integer`

  - ### setTypeCode

    public void setTypeCode(Integer value)
    Sets the value of the typeCode property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getTypeDescriptions

    public List<LocalizedDescriptionType> getTypeDescriptions()
    Gets the value of the typeDescriptions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the typeDescriptions property.

    For example, to add a new item, do as follows:

         getTypeDescriptions().add(newItem);

    Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

    Returns:
      The value of the typeDescriptions property.

  - ### getInceptionDate

    public Instant getInceptionDate()
    Gets the value of the inceptionDate property.
    Returns:
      possible object is `String`

  - ### setInceptionDate

    public void setInceptionDate(Instant value)
    Sets the value of the inceptionDate property.
    Parameters:
      `value` - allowed object is `String`